Page MenuHomePhabricator

Special:UserRights "you must log in" link does not pass &returnto= on, so the user ends up at the main page
Closed, InvalidPublic

Description

Special:UserRights "you must login" link does not pass &returnto= on, so after logging in, the user ends up at the main page

Event Timeline

Legoktm created this task.Nov 17 2015, 5:43 PM
Legoktm raised the priority of this task from to Needs Triage.
Legoktm updated the task description. (Show Details)
Legoktm added a subscriber: Legoktm.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 17 2015, 5:43 PM
bd808 added a subscriber: bd808.Nov 18 2015, 11:49 PM

Grepping for SpecialUserLogin in languages/i18n/en.json shows other pages with the same problem.

Devirk set Security to None.Jan 6 2016, 1:04 PM
Devirk added a subscriber: Devirk.

can someone explain this bug, I want to work on it.

Devirk removed a subscriber: Devirk.Jan 8 2016, 12:36 PM

can someone explain this bug, I want to work on it.

@NeerajBattan: Thanks for your interest! Please elaborate how we can we help you.

Dnysdk3435 removed a subscriber: Dnysdk3435.

I am not understanding exactly what is the bug.Can someone explain it please??

@Dnysdk3435: Please see T118874#1922384 and read its link. Thanks!

NeerajBattan added a comment.EditedJan 13 2016, 9:28 PM

where does "you must login" link appears?

where does "you must login" link appears?

On any MediaWiki installation on the page Special:UserRights when you are not logged in.

Aklapper renamed this task from Special:UserRights "you must login" link does not pass &returnto= on, so the user ends up at the main page to Special:UserRights "you must log in" link does not pass &returnto= on, so the user ends up at the main page.Jan 14 2016, 1:37 PM
This comment was removed by NeerajBattan.
Aklapper triaged this task as Low priority.Jan 19 2016, 6:49 PM
NeerajBattan added a comment.EditedJan 19 2016, 11:59 PM

So, basically after login we want to end up at the Special:UserRights page, instead of Main_Page.

NeerajBattan added a comment.EditedFeb 11 2016, 11:34 PM

Hi Aklapper, I was trying to solve this bug but I am not able to find where the problem is can you help me a little bit?

Hi Aklapper, I was trying to solve this bug but I am not able to find where the problem is can you help me a little bit?

Sure! Please elaborate what exactly you have done and tried so far trying to fix this bug (files and code lines you have found, changes you have made that did not work when testing).

This comment was removed by NeerajBattan.
This comment was removed by NeerajBattan.
NeerajBattan added a comment.EditedFeb 13 2016, 1:45 PM

I was trying to look in the SpecialUserRights.php and the SpecialUserLogin.php file to figure out what is the difference between this login and logging in from anywhere else.

Aklapper: can you tell me where is the view file for the "SpecialUserrights" page.

@NeerajBattan: Can you elaborate why you "tried to look" instead of actually looking? :) I don't know what a "view file" is, but I guess that SpecialUserRights.php is indeed a good place to start.
Please explicitly explain what you have tried so far or which **specific** code lines are hard to understand and people might be able to help. You could also ask on IRC. Thanks!

This comment was removed by NeerajBattan.

@Aklapper: I was trying to see the difference between the faulty login button and the right top login button.
Can you please tell me how can I learn about the top right login button. I mean how it is working?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptNov 2 2016, 7:59 PM
Gauravbackback added a subscriber: Gauravbackback.EditedNov 30 2016, 6:17 AM

@Aklapper hey I want to work on this bug .I think passing a returnto parameter to the login page when login link is clicked so that it returns back to the Special:UserRights page would we enough ?
What are your views ?

That would be my naïve understanding after reading the task summary line but we will only know if that would be enough once someone has written code and tested it. :) No need to ping me personally though as I cannot help much here. :)

@Legoktm
How to recreate this bug i.e what must be my wiki settings ?

matej_suchanek closed this task as Invalid.Dec 23 2016, 9:35 PM
matej_suchanek removed NeerajBattan as the assignee of this task.
matej_suchanek moved this task from Backlog to Done on the good first bug board.
matej_suchanek added a subscriber: matej_suchanek.

Special:UserRights doesn't require additional permissions anymore (T27319: Make Special:UserRights available to everyone)

matej_suchanek closed this task as Invalid.Dec 23 2016, 9:35 PM
matej_suchanek removed NeerajBattan as the assignee of this task.
This comment was removed by matej_suchanek.